Subject: [bug#47778] [PATCH]: Update FreeCAD to 0.19.1

From: Ekaitz Zarraga <[email-masked]>
Date: Wed, 14 Apr 2021 21:44:47 +0000

Hi,

>
> -         `(#:tests? #f
>
> Why's that? ‘We’ prefer to have tests enabled when possible.
> Please document why tests are disabled here (with a comment
> #:tests? #f ; no tests / tests require dependency X, which is not packaged ...).

I'll try to test the package with the tests, but they were
disabled before too, so I didn't change that.

>
> -           (add-before 'configure 'restore-pythonpath
>
>
> -             (lambda _
>
>
> -               (substitute* "src/Main/MainGui.cpp"
>
>
> -                 (("_?putenv\\\\(\\"PYTHONPATH=\\"\\\\);") ""))
>
>
> -               #t))
>
>
>
> The #t can be removed. The warning that results when #t is absent
> has been removed on the core-updates branch; we might as well stop
> introducing these silly #t now such that we don't have to remove them
> later.
>
> Greetings,
> Maxme.

Ok, I'll remove that and update the patch.

Thanks!